package com.xhkjedu.sapi.mapper.analyze;

import com.xhkjedu.sapi.vo.analyze.SchoolParams;
import com.xhkjedu.sapi.vo.analyze.SchoolSummaryVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName SchoolSummaryMapper
 * Description TODO 数据汇总
 * Author WN
 * Date 2020/10/14 14:34
 **/
@Repository
public interface SchoolSummaryMapper {
    //获取用户集合
    List<SchoolSummaryVo> listUser(@Param("sparams") SchoolParams sparams);

    //获取教师作业统计
    List<SchoolSummaryVo> getPaperAnalyze(@Param("sparams") SchoolParams sparams);

    //获取教师资源统计
    List<SchoolSummaryVo> getResourceAnalyze(@Param("sparams") SchoolParams sparams);

    //获取教师课堂统计
    List<SchoolSummaryVo> getRoomAnalyze(@Param("sparams") SchoolParams sparams);

    //获取教师预习统计
    List<SchoolSummaryVo> getPreviewAnalyze(@Param("sparams") SchoolParams sparams);

    //获取教师背诵统计
    List<SchoolSummaryVo> getReciteAnalyze(@Param("sparams") SchoolParams sparams);

    //错题辅导统计
    List<SchoolSummaryVo> getErrorQuestionFdAnalyze(@Param("sparams") SchoolParams sparams);
}
